#include "partition.h"
using namespace std;
std::vector<int> solve(std::vector<int> A) {
    int siz=A.size();
    int b=siz/2;
    vector<int> R(siz);
    for(int i=0; i<siz; i++) {
        if(i!=b && i!=siz-1)
        {
            R[i]=i;
        }
        else if(i==b)
        {
            R[i]=siz-1;
        }
        else
        {
            R[i]=b;
        }
    }
    return {R};
}
